#ifndef _CSPHEREOB_H_
#define _CSPHEREOB_H_

#include "../App/EngineH.h"
#include "3dObject.h"

class C_SPHERE_0 : public C_3DOBJECT_0
{
private :
	float _vel;
	//CVector3 _pos;

public :
	C_SPHERE_0(uint texture_id, CVector3 pos, float vel=1.0f);

public :
	virtual void Render();
	//CVector3 MGetPos() const {return _pos;}
	//void MSetPos(CVector3 pos) {_pos = pos;}
};

#endif //_CSPHEREOB_H_